# Record TCefCompositionUnderline

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefCompositionUnderline = record`

## Description

Structure representing IME composition underline information. This is a thin wrapper around Blink's WebCompositionUnderline class and should be kept in sync with that.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_time.h">CEF source file: /include/internal/cef_time.h (cef_composition_underline_t))

## Overview

### Fields

| `size: NativeUInt;`
| `range: TCefRange;`
| `color: TCefColor;`
| `background_color: TCefColor;`
| `thick: integer;`
| `style: TCefCompositionUnderlineStyle;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `range: TCefRange;`
Underline character range.

| `color: TCefColor;`
Text color.

| `background_color: TCefColor;`
Background color.

| `thick: integer;`
Set to true (1) for thick underline.

| `style: TCefCompositionUnderlineStyle;`
Style.

Generated by PasDoc 0.16.0-snapshot.